Installing plugins that require data fail to start


(Orlando Del Aguila) #1

Hello,

I have a plugin that requires data to be present to work.

plugins:
  debtcollective_solidarity_message_author:
    client: false
    default: "system"
    type: "username"

I’m installing this in the after_code hook install, but that hook is run before the migration is done, and rake db:migrate fails to start because of the plugin username validation

In this case, what hook should be used?

Thanks